reset {cycleRtools} | R Documentation

## Reset a dataset or vector.

### Description

if `x` is a `"cycleRdata"` object, all columns are reset as appropriate. This can be useful after subsetting a ride dataset, for example. Otherwise, this is a wrapper for `x - x[[1]]`.

### Usage

    reset(x)

### Arguments

`x` | a numeric vector or formatted cycling dataset (i.e. class `"cycleRdata"`).

### Value

either a data frame or vector, depending on the class of `x`.

### Examples

    data(ridedata)

    # Remove first minute of data and reset.
    data_raw   <- ridedata[ridedata$timer.s > 60, ]
    data_reset <- reset(data_raw)

[Package cycleRtools version 1.1.1 Index]